Package com.castlabs.android.player

# Enum TrackRendererPlugin.Type

java.lang.Object
java.lang.Enum<TrackRendererPlugin.Type>
com.castlabs.android.player.TrackRendererPlugin.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<TrackRendererPlugin.Type>`

Enclosing interface:
  `TrackRendererPlugin`

public static enum TrackRendererPlugin.Type extends Enum<TrackRendererPlugin.Type>
The different content types

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Audio`
  Audio content type.
  `DtsAudio`
  DTS audio content type.
  `Image`
  Image content type.
  `Other`
  Other content type.
  `Subtitle`
  Subtitle content type.
  `Video`
  Video content type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrackRendererPlugin.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TrackRendererPlugin.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Video

    public static final TrackRendererPlugin.Type Video
    Video content type.

  - ### Audio

    public static final TrackRendererPlugin.Type Audio
    Audio content type.

  - ### Subtitle

    public static final TrackRendererPlugin.Type Subtitle
    Subtitle content type.

  - ### DtsAudio

    public static final TrackRendererPlugin.Type DtsAudio
    DTS audio content type.

  - ### Other

    public static final TrackRendererPlugin.Type Other
    Other content type.

  - ### Image

    public static final TrackRendererPlugin.Type Image
    Image content type.

- ## Method Details

  - ### values

    public static TrackRendererPlugin.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TrackRendererPlugin.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null